Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.extension
Class JifEndorseStmtExt

    java.lang.Object
      polyglot.ast.Ext_c
          jif.ast.Jif_c
              jif.extension.JifStmtExt_c
                  jif.extension.JifDowngradeStmtExt
                      jif.extension.JifEndorseStmtExt

All Implemented Interfaces:
  java.lang.Cloneable, Jif, JifStmtExt, polyglot.ast.Ext, polyglot.util.Copy

Direct Known Subclasses:
  JifCheckedEndorseStmtExt

    public class JifEndorseStmtExt

extends JifDowngradeStmtExt

The Jif extension of the `EndorseStmt` node.

See Also:
  `EndorseStmt`

Field Summary

Fields inherited from class jif.extension.JifStmtExt_c
`stmtDel`

Fields inherited from class jif.ast.Jif_c
`toJava, X`

Fields inherited from class polyglot.ast.Ext_c
`ext, node`

Constructor Summary
`JifEndorseStmtExt(ToJavaExt toJava)`

Method Summary
`protected void` | `checkAuthority(LabelChecker lc, JifContext A, Label labelFrom, Label labelTo, polyglot.util.Position pos)` Check the authority condition
`protected void` | `checkOneDimenOnly(LabelChecker lc, JifContext A, Label labelFrom, Label labelTo, polyglot.util.Position pos)` Check that only the integrity/confidentiality is downgraded, and not the other dimension.
`protected void` | `checkRobustness(LabelChecker lc, JifContext A, Label labelFrom, Label labelTo, polyglot.util.Position pos)` Check the robustness condition

Methods inherited from class jif.extension.JifDowngradeStmtExt
`bodyContext, checkAdditionalConstraints, checkBody, checkPCconstraint, declassifyConstraintContext, initPathMap, labelCheckStmt`

Methods inherited from class jif.extension.JifStmtExt_c
`copy, init, labelCheck, stmtDel, stmtDel`

Methods inherited from class jif.ast.Jif_c
`checkAndRemoveThrowType, checkThrowTypes, getPathMap, integerBoundsCalculated, toJava, toJava, updatePathMap, X, X`

Methods inherited from class polyglot.ast.Ext_c
`dump, ext, ext, node, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.Ext
`dump, ext, ext, node`

Constructor Detail

### JifEndorseStmtExt

    public JifEndorseStmtExt(ToJavaExt toJava)

Method Detail

### checkOneDimenOnly

    protected void checkOneDimenOnly(LabelChecker lc,
                                     JifContext A,
                                     Label labelFrom,
                                     Label labelTo,
                                     polyglot.util.Position pos)
                              throws polyglot.types.SemanticException

  Description copied from class: `JifDowngradeStmtExt`
  Check that only the integrity/confidentiality is downgraded, and not the other dimension.

  Specified by:
    `checkOneDimenOnly` in class `JifDowngradeStmtExt`
  Throws:
    `polyglot.types.SemanticException`

### checkAuthority

    protected void checkAuthority(LabelChecker lc,
                                  JifContext A,
                                  Label labelFrom,
                                  Label labelTo,
                                  polyglot.util.Position pos)
                           throws polyglot.types.SemanticException

  Description copied from class: `JifDowngradeStmtExt`
  Check the authority condition

  Specified by:
    `checkAuthority` in class `JifDowngradeStmtExt`
  Throws:
    `polyglot.types.SemanticException`

### checkRobustness

    protected void checkRobustness(LabelChecker lc,
                                   JifContext A,
                                   Label labelFrom,
                                   Label labelTo,
                                   polyglot.util.Position pos)
                            throws polyglot.types.SemanticException

  Description copied from class: `JifDowngradeStmtExt`
  Check the robustness condition

  Specified by:
    `checkRobustness` in class `JifDowngradeStmtExt`
  Throws:
    `polyglot.types.SemanticException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD